def sumtree(L, trace=False):                     # Wersja z wykorzystaniem jawnej kolejki
    tot = 0
    items = list(L)                              # Zacznij od utworzenia kopii najwyższego poziomu
    while items:
        front = items.pop(0)                     # Pobierz / usuń pierwszy element 
        if not isinstance(front, list):
            tot += front                         # Dodaj liczby bezpośrednio
            if trace: print(front, end=', ')
        else:
            items.extend(front)                  # <== Dołączaj kolejne elementy na końcu listy zagnieżdżonej
    return tot

